### Method

# Gtk FileChooser get_filters

#### Declaration [src]

    GListModel*
    gtk_file_chooser_get_filters (
      GtkFileChooser* chooser
    )

#### Description [src]

Gets the current set of user-selectable filters, as a list model.

See gtk_file_chooser_add_filter() and gtk_file_chooser_remove_filter() for changing individual filters.

You should not modify the returned list model. Future changes to `chooser` may or may not affect the returned model.

Gets property | `Gtk.FileChooser:filters`

#### Return value

Returns: | `GListModel*`
| A `GListModel` containing the current set of user-selectable filters.
| The caller of the function takes ownership of the data, and is responsible for freeing it.